导入junit失败

DarkVoidZeratu:

我的构建路径

Eclipse中的错误

这是Eclipse中的错误吗?我试图刷新项目,重新启动Eclipse和系统。困惑。

斯蒂芬·C:

这是Eclipse中的错误吗?

不。这是项目设置中的错误。看来项目对junit的maven依赖关系不正确。

您正在为尝试编译的测试代码使用错误的Junit JAR文件。junit.framework.TestCase班是从JUnit 3中,但您使用的JAR文件的Junit 4.7。在Junit 4.x中,程序包名称更改为org.junit,并且TestCase该类已删除。

解决方案:

  1. 查找并使用最后一个Junit 3.x版本的JAR文件。可能是您需要的...)
  2. 更新您的测试用例以使用更高版本的Junit。(最好是Junit 5.x)

(在撰写本文时,最新版本的Junit 4.x是4.13。)

本文收集自互联网,转载请注明来源。

如有侵权,请联系 [email protected] 删除。

编辑于
0

我来说两句

0 条评论
登录 后参与评论

相关文章